Bug 472504 - Need to build xen-platform-pci as a module and not into the kernel
Summary: Need to build xen-platform-pci as a module and not into the kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jon Masters
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-11-21 08:54 UTC by Jon Masters
Modified: 2009-01-20 19:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 19:37:49 UTC
Target Upstream Version:


Attachments (Terms of Use)
make the xenpv drivers fully modular in RHEL5.3 (2.25 KB, patch)
2008-11-21 08:57 UTC, Jon Masters
no flags Details | Diff
Updated / final /complete patch for 5.3 (3.92 KB, patch)
2008-11-26 22:01 UTC, Don Dutile (Red Hat)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Jon Masters 2008-11-21 08:54:17 UTC
Description of problem:

In RHEL5.2, the virtualization team shipped a version of the "HVM" drivers to allow full-virt guests to have accelerated hardware access. These drivers were supplied using a Driver Update package, which is to be deprecated in RHEL5.3.

Additionally to deprecating these external modules and supplying a replacement directly in the RHEL5.3 kernel, the kernel configuration was also changed. This change results in one of the modules being built directly into the kernel, rather than having all built as external loadable entities. As a direct consequence, module dependencies are misgenerated whenever a system has the existing external drivers installed alongside the 5.3 kernel.

The fix is to build the RHEL5.3 kernel with the modules external rather than directly built into the kernel. The fix has been tested and should be considered as a matter of urgency for the 5.3 kernel.

Comment 1 Jon Masters 2008-11-21 08:57:25 UTC
Created attachment 324282 [details]
make the xenpv drivers fully modular in RHEL5.3

Comment 6 Don Dutile (Red Hat) 2008-11-26 22:01:05 UTC
Created attachment 324808 [details]
Updated / final /complete patch for 5.3

Comment 7 Don Zickus 2008-12-02 22:20:37 UTC
in kernel-2.6.18-125.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 10 errata-xmlrpc 2009-01-20 19:37:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.